* PACKAGE APARM    !" 実験パラメター(時間積分)設定
*
*"  [HIS] 96/03/13 (takepiro) 
***********************************************************************
      SUBROUTINE  APRSET                      !" 実験パラメータ
     O             ( ITSTRT , ITEND , INTOUT ,
     O               DT     , HINTG            )
*
* [PARAM]
#include        "zhdim.F"            !" 文字列文字数
*
* [OUTPUT]
      INTEGER ITSTRT            !" 計算開始ステップ
      INTEGER ITEND             !" 計算終了ステップ
      INTEGER INTOUT            !" 出力間隔
*
      REAL DT                   !" 時間間隔
      CHARACTER  HINTG * (NCC)  !" 時間積分スキームスイッチ
*
* [INTERNAL WORK]
      INTEGER IFPAR , JFPAR    !" NAMELIST 装置番号
*
* [NAMELIST]
      CHARACTER  RUN  *(NCC)                 !" 実験名
      CHARACTER  SIGN *(NCC)                 !" 実験者名
*
      INTEGER START             !" ループカウンタ
      INTEGER END               !" 計算開始ステップ
      INTEGER INTRST            !" 計算終了ステップ
*
      REAL DELT                 !" 時間間隔
      CHARACTER  SCHEME * (NCC) !" 時間積分スキームスイッチ
*
* [NAMELIST DEFAULT]
      NAMELIST    /NMRUN/  RUN   , SIGN
      DATA   RUN, SIGN / 'TEST', 'momoko' /
*
      NAMELIST /NMTIME/ START, END, INTRST
      DATA START ,  END , INTRST / 0, 1, 100 /
*
      NAMELIST /NMINTG/  DELT, SCHEME
      DATA  DELT, SCHEME / 0.001, 'EULER' /
*
*"          < 1. 実験名 >
*
      CALL   REWNML ( IFPAR , JFPAR )
      READ   ( IFPAR, NMRUN , END=1090 )
 1090 WRITE  ( JFPAR, NMRUN  )
*
      CALL GTCSET( 'DDSET' , RUN    )
      CALL GTCSET( 'MYSIGN', SIGN   )
*
*"          < 2. 実験パラメター設定(時間積分) >
*
      CALL   REWNML ( IFPAR , JFPAR )
      READ   ( IFPAR, NMTIME , END=1190 )
 1190 WRITE  ( JFPAR, NMTIME  )
*
      ITSTRT = START
      ITEND  = END
      INTOUT = INTRST
*
      CALL   REWNML ( IFPAR , JFPAR )
      READ   ( IFPAR, NMINTG , END=1290 )
 1290 WRITE  ( JFPAR, NMINTG  )
*
      DT     = DELT 
      HINTG  = SCHEME
*
      RETURN
      END

